#
# spec file for package rubygem-rack-1_3
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rack-1_3
Version:        1.3.10
Release:        7.9
%define mod_name rack
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1_3
# MANUAL
BuildRequires:  fdupes
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://rack.github.com/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-rack-1_3-rpmlintrc
Source2:        gem2rpm.yml
Summary:        A modular Ruby webserver interface
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rack provides minimal, modular and adaptable interface for developing
web applications in Ruby.  By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.github.com/.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING README.rdoc" \
  -f
# MANUAL
%fdupes %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/
# /MANUAL

%gem_packages

%changelog
* Sat Nov  1 2014 tboerger@suse.com
- Added new ruby macros
- Fixed all rpmlintrc errors to prevent failing builds with
  multiple ruby versions
* Mon May 13 2013 coolo@suse.com
- add license link
* Sat Mar 23 2013 coolo@suse.com
- updated to version 1.3.10
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Prepare for Factory
* Thu Nov  3 2011 mrueckert@suse.de
- Update to 1.3.5 (bnc#727772)
  - Fix annoying warnings caused by the backport in 1.3.4
* Thu Oct  6 2011 fcastelli@suse.com
- Update to 1.3.4
  - Fix bug with broken query parameters in Rack::ShowExceptions
  - Rack::Request#cookies no longer swallows exceptions on broken input
  - Prevents XSS attacks enabled by bug in Ruby 1.8’s regexp engine
  - Rack::ConditionalGet handles broken If-Modified-Since helpers
  - Fix a bug with MRI regex engine to prevent XSS by malformed unicode
  - Backport security fix from 1.9.3, also fixes some roundtrip issues in URI
  - Small documentation update
  - Fix an issue where BodyProxy could cause an infinite recursion
  - Add some supporting files for travis-ci
* Mon Sep 12 2011 mrueckert@suse.de
- provide the single digit versioned named aswell
* Mon Aug  1 2011 mrueckert@suse.de
- update to 1.3.2
  - fix whitespace errors
  - Add .rdoc extension so GitHub can apply formatting
  - Restore Ruby 1.9.1 compatibility
  - Fix a regression caused by [82]f043f32
  - Fix Rack::Utils.escape in the case when $KCODE='U'
  - Sigh, thinking backports was a bad idea
  - fix Rack::Lock, use same logic for Rack::CommonLogger
  - allow passing in rack.session in tests (used to work
    previously)
  - nicer method_missings
  - fix typo
  - BasicObject does not define respond_to?
  - fix BodyProxy#close
  - let Rack::BodyProxy raise an IOError (like IO and StringIO do)
    when ca...
  - more tests for Rack::BodyProxy
  - block should not be called if IOError raised
  - update core team list
  - simpler, dry implementation for HeaderHash#to_hash, fixes
    [122]#177
  - fix typo
  - make sure the Cache-Control header can never be nil
  - Minor error in documentation regarding the order of parameters
    in HTTP...
  - call #close on body in mock responses
  - test for Rack::Response#close
  - Have MockRequest call close on the body rather than
    MockResponse.
  - prepare readme for 1.3.1
  - update changes
  - Edited lib/rack/sendfile.rb via GitHub
  - Fixed a Regexp bug that can DoS your box.
  - Merge pull request [156]#206 from
    brendan/19451fc0463ec424fa368cac05be15c75...
  - Update readme pending patch release
  - Rack::Utils.escape should work with symbols in Ruby 1.8.7
* Fri Jun 17 2011 mrueckert@suse.de
- initial package of the 1.3 branch (1.3.0)
